]> git.draconx.ca Git - cdecl99.git/blobdiff - bootstrap
Implement the interactive cdecl99 loop.
[cdecl99.git] / bootstrap
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..fa13580
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+trap 'exit 1' USR1
+die() { printf '%s\n' "$@" 1>&2; kill -USR1 $$; }
+
+git submodule update --init || echo "Failed to update Gnulib sources from git."
+if test -x gnulib/gnulib-tool; then
+       gnulib/gnulib-tool --update || die "Failed to update Gnulib."
+else
+       die "Gnulib sources are not properly installed in gnulib/."
+fi
+
+autoreconf -fis